<bugID>1279602<Summary>UX for adding new storage inspector items</Summary><Description>We need a way to add all kinds of Storage items. Some specific questions to ask for UX-wise:
- for cookies, do we ask the user to complete all possible fields ? If not, do we provide a sensible default value ?
- how do we add indexeddb databases (eg. sidebar child items)
- how do we surface this in the UI ? (I would say via a toolbar button and the context menu)

Helen, what's your take on this?</Description></bugID>